package com.qmth.teachcloud.task.job;

import com.qmth.teachcloud.task.job.service.JobService;
import org.quartz.JobExecutionContext;
import org.quartz.JobExecutionException;
import org.springframework.scheduling.quartz.QuartzJobBean;

import javax.annotation.Resource;
import java.io.IOException;

/**
 * @Description: 重新生成pdf job
 * @Param:
 * @return:
 * @Author: wangliang
 * @Date: 2021/5/6
 */
public class ResetCreatePdfJob extends QuartzJobBean {

    @Resource
    JobService jobService;

    @Override
    protected void executeInternal(JobExecutionContext jobExecutionContext) throws JobExecutionException {
        try {
            jobService.resetCreatePdfTask();
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}
